VRE Modeler service fails to return selected functionalities on SoBigData VO

Dec 14, 2016 05:45 PM - Massimiliano Assante

Status: Closed Start date: Dec 14, 2016

Priority: Urgent Due date: Dec 14, 2016

Assignee: Lucio Lelii % Done: 100%

Category:  Estimated time: 2.00 hours

Target version: UnSprintable   

Infrastructure: Production   

Description

Name: SoBigDataLab

with

Messaging

Shared Workspace

Social Networking Facilities

the server shows this error log in the approval phase when the functionality list id requested:

2016-12-14 16:42:58,989 INFO  jaxws.StubFactory [http-bio-9090-exec-200,at:108] %[PORTAL] 77588086

 [http-bio-9090-exec-200] INFO  org.gcube.common.clients.stubs.jaxws.StubFactory  - target type is

 interface org.gcube.vremanagement.vremodel.cl.stubs.ManagerStub 

2016-12-14 16:42:59,082 ERROR proxies.MethodRetriever [http-bio-9090-exec-200,invoke:30] %[PORTAL]

 77588179 [http-bio-9090-exec-200] ERROR org.gcube.common.clients.stubs.jaxws.proxies.MethodRetrie

ver  - exception invoking method getFunctionalityNodes in service com.sun.proxy.$Proxy896 using pr

oxy 

Dec 14, 2016 4:42:59 PM org.apache.catalina.core.ApplicationContext log

SEVERE: Exception while dispatching incoming RPC call

com.google.gwt.user.server.rpc.UnexpectedException: Service method 'public abstract org.gcube.port

lets.admin.vredeployer.client.model.VREFunctionalityModel org.gcube.portlets.admin.vredeployer.cli

ent.VredeployerService.getFunctionality()' threw an unexpected exception: org.gcube.common.clients

.exceptions.ServiceException: javax.xml.ws.soap.SOAPFaultException

    at com.google.gwt.user.server.rpc.RPC.encodeResponseForFailure(RPC.java:389)

    at com.google.gwt.user.server.rpc.RPC.invokeAndEncodeResponse(RPC.java:579)

    at com.google.gwt.user.server.rpc.RemoteServiceServlet.processCall(RemoteServiceServlet.java:2

08)

    at com.google.gwt.user.server.rpc.RemoteServiceServlet.processPost(RemoteServiceServlet.java:2

48)

    at com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet.doPost(AbstractRemoteServiceSer

vlet.java:62)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:650)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:731)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:303)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:241)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:116)

    at sun.reflect.GeneratedMethodAccessor1686.invoke(Unknown Source)

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

    at java.lang.reflect.Method.invoke(Method.java:606)

    at com.liferay.portal.kernel.bean.ClassLoaderBeanHandler.invoke(ClassLoaderBeanHandler.java:67

)

    at com.sun.proxy.$Proxy893.doFilter(Unknown Source)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:116)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDirectCallFilte

r(InvokerFilterChain.java:165)
    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:96)

    at com.liferay.portal.kernel.servlet.PortalClassLoaderFilter.doFilter(PortalClassLoaderFilter.

java:74)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDoFilter(Invoke

rFilterChain.java:204)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:109)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilter.doFilter(InvokerFilter.java

:119)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:241)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:220)

    at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:122)

    at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:505)

    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:170)

    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:103)

    at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:957)

    at org.gcube.portal.threadlocalexec.SmartGearsPortalValve.invoke(SmartGearsPortalValve.java:69

)

    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:116)

    at org.apache.catalina.ha.tcp.ReplicationValve.invoke(ReplicationValve.java:333)

    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:423)

    at org.apache.coyote.http11.AbstractHttp11Processor.process(AbstractHttp11Processor.java:1079)

    at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.java:

620)

    at org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:316)

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)

    at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)

    at java.lang.Thread.run(Thread.java:745)

Caused by: org.gcube.common.clients.exceptions.ServiceException: javax.xml.ws.soap.SOAPFaultExcept

ion

    at org.gcube.common.clients.exceptions.FaultDSL$AsClause.asServiceException(FaultDSL.java:38)

    at org.gcube.vremanagement.vremodel.cl.proxy.DefaultManager.getFunctionalityNodes(DefaultManag

er.java:227)

    at org.gcube.application.framework.vremanagement.vremanagement.impl.VREGeneratorEvo.getGHNsPer

Functionality(VREGeneratorEvo.java:228)

    at org.gcube.portlets.admin.vredeployer.server.VREDeployerServiceImpl.getServicesAndGHNs(VREDe

ployerServiceImpl.java:459)

    at org.gcube.portlets.admin.vredeployer.server.VREDeployerServiceImpl.getFunctionality(VREDepl

oyerServiceImpl.java:355)

    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

    at java.lang.reflect.Method.invoke(Method.java:606)

    at com.google.gwt.user.server.rpc.RPC.invokeAndEncodeResponse(RPC.java:561)

    ... 42 more

Caused by: javax.xml.ws.soap.SOAPFaultException

    at com.sun.xml.internal.ws.fault.SOAP11Fault.getProtocolException(SOAP11Fault.java:178)

    at com.sun.xml.internal.ws.fault.SOAPFaultBuilder.createException(SOAPFaultBuilder.java:125)

    at com.sun.xml.internal.ws.client.sei.SyncMethodHandler.invoke(SyncMethodHandler.java:108)

    at com.sun.xml.internal.ws.client.sei.SyncMethodHandler.invoke(SyncMethodHandler.java:78)

    at com.sun.xml.internal.ws.client.sei.SEIStub.invoke(SEIStub.java:135)

    at com.sun.proxy.$Proxy896.getFunctionalityNodes(Unknown Source)

    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

    at java.lang.reflect.Method.invoke(Method.java:606)

    at org.gcube.common.clients.stubs.jaxws.proxies.MethodRetriever.invoke(MethodRetriever.java:25

)

    at com.sun.proxy.$Proxy897.getFunctionalityNodes(Unknown Source)

    at org.gcube.vremanagement.vremodel.cl.proxy.DefaultManager$11.call(DefaultManager.java:221)

    at org.gcube.vremanagement.vremodel.cl.proxy.DefaultManager$11.call(DefaultManager.java:217)

    at org.gcube.common.clients.delegates.DirectDelegate.make(DirectDelegate.java:53)

    at org.gcube.vremanagement.vremodel.cl.proxy.DefaultManager.getFunctionalityNodes(DefaultManag
er.java:225)

    ... 50 more

History

#2 - Dec 14, 2016 06:31 PM - Lucio Lelii

- Status changed from New to Closed

- % Done changed from 0 to 100
